Bug 220981 - vim :Explorer error in new window
vim :Explorer error in new window
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-29 17:10 EST by Jason Farrell
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 7.0.201-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-02 18:17:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Farrell 2006-12-29 17:10:37 EST
Description of problem:
Opening :Explorer in a new window, after opening certain kinds of files, results
in an annoying error.

Version-Release number of selected component (if applicable):
vim-enhanced-7.0.109-3

How reproducible:
Always. gvim/vim 7

Steps to Reproduce:
1. vim /etc/services
2. Ctrl-W N             # open a new window
3. :E                   # file explorer
  
Actual results:
Error detected while processing function <SNR>14_Highlight_Matching_Pair:
line   17:
E316: ml_get: cannot find line 8

Expected results:

Additional info:
If in step 1) above you instead open /etc/fstab, before doing steps 2 & 3, the
:Explorer opens without error. Also, if after opening the new window you switch
back to the already open file window and do :E, it works.

Disabling syntax highlighting doesn't fix this; not quite sure what's causing
it, but it is does get annoying sometimes.

Note You need to log in before you can comment on or make changes to this bug.